## socklog 2.1.0%2Brepack

=== debian/control ===
Source: socklog
Section: admin
Priority: optional
Maintainer: Mathieu Mirmont <mat@parad0x.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Vcs-Browser: https://salsa.debian.org/debian/socklog
Vcs-Git: https://salsa.debian.org/debian/socklog.git
Standards-Version: 4.5.1
Homepage: http://smarden.org/socklog
Build-Depends: debhelper-compat (= 13),
               dh-runit,
               dh-sysuser,
               doc-base
Rules-Requires-Root: no

Package: socklog
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: socklog-run (= ${binary:Version})
Description: system and kernel logging services - binaries
 socklog cooperates with the runit package to create a small and
 secure replacement for rsyslog. socklog supports system logging
 through Unix domain sockets (/dev/log), UDP sockets (0.0.0.0:514), as
 well as TCP socket, with the help of runit's runsvdir, runsv, and
 svlogd. socklog provides a different network logging concept, and
 also does log event notification. svlogd has built in log file
 rotation based on file size, so there is no need for any cron jobs to
 rotate the logs. socklog is small, secure, and reliable.
 .
 This package contains the socklog binaries and manual pages.

Package: socklog-run
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: socklog (= ${binary:Version}), runit,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: ipsvd, mailx
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon, ${runit:Conflicts}
Breaks: socklog (<= 2.1.0+repack-3), ${runit:Breaks}
Replaces: socklog (<= 2.1.0+repack-3)
Description: system and kernel logging services - runit services
 socklog cooperates with the runit package to create a small and
 secure replacement for rsyslog. socklog supports system logging
 through Unix domain sockets (/dev/log), UDP sockets (0.0.0.0:514), as
 well as TCP socket, with the help of runit's runsvdir, runsv, and
 svlogd. socklog provides a different network logging concept, and
 also does log event notification. svlogd has built in log file
 rotation based on file size, so there is no need for any cron jobs to
 rotate the logs. socklog is small, secure, and reliable.
 .
 This package includes the configuration files to run socklog under
 runit supervision as system and kernel log daemons. The socklog-unix
 and socklog-klog services are enabled by default. The socklog-inet,
 socklog-notify, and socklog-ucspi-tcp services are examples and
 disabled by default.
