=== debian/changelog ===
socklog (2.1.0+repack-5) unstable; urgency=medium

  * Various uninteresting changes
  * watch, repack.sh: append +repack to tarball filename
  * Refresh lintian overrides
  * service/socklog-unix: remove supervise symlink (Closes: #1031794)
  * control: bump debian policy to 4.6.2, no change required
  * gitlab-ci.yml: disable unnecessary jobs
  * gbp.conf: add configuration file

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 06 Mar 2023 22:01:18 +0100

socklog (2.1.0+repack-4) unstable; urgency=medium

  * copyright: bump the year
  * control: bump debian policy to 4.5.1
  * Split runit integration as socklog-run (Closes: #977600)
  * Service user names should begin with an underscore

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 22 Dec 2020 22:40:42 +0100

socklog (2.1.0+repack-3) unstable; urgency=medium

  * control: relax depencency on runit-run | runit-init (Closes: #973671)
  * patches: fix some build warnings

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 10 Nov 2020 12:01:07 +0100

socklog (2.1.0+repack-2) unstable; urgency=medium

  * control: bump debhelper compatibility level to 13
  * control: bump debian policy to 4.5.0
  * control: remove sysvinit scripts
  * control: add Rules-Requires-Root
  * source/lintian-overrides: refresh the file
  * gitlab-ci.yml: refresh the file
  * General cleanups

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 02 Nov 2020 03:07:30 +0100

socklog (2.1.0+repack-1) experimental; urgency=medium

  * uscan: add watch file and repack.sh script
  * New upstream version 2.1.0+repack
  * Convert the package to debhelper (Closes: #857208)
  * patch: socklog-conf(8): refer to update-service(8)
  * patch: tryto.c: don't fail if the final try succeeds
  * socklog-run: migrate to dh-runit (Closes: #668718, #834089)
  * Merge socklog and socklog-run
  * source/lintian-overrides: no https upstream
  * doc-base: register the html documentation
  * copyright: convert to DEP-5 format
  * gitlab-ci.yml: add GitLab CI file
  * patch: Makefile: bypass the chkshsgr test in CI
  * Add sysv init scripts
  * control: update the Vcs fields
  * control: new maintainer (Closes: #907092)

 -- Mathieu Mirmont <mat@parad0x.org>  Fri, 12 Apr 2019 00:24:26 +0200

socklog (2.1.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible:
    + Pass -n to gzip.
      Thanks to Chris Lamb for the patch.  Closes: #777419
    + Sort the md5sums file.
      Thanks to Valerie R Young for the patch.  Closes: #847031
  * debian/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 21:34:16 +0100

socklog (2.1.0-8) unstable; urgency=low

  * debian/diff/socklog-conf-update-service.diff: new; refer to
    update-service(8) instead of symlinks in /var/service/.
  * debian/rules: target build: apply socklog-conf-update-service.diff.
  * debian/etc/klog/run: cut: fields and positions are numbered from 1,
    not 0.
  * debian/socklog-run.postinst, debian/socklog-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/socklog-run.postinst: remove socklog-unix, socklog-klog services
    on upgrade from <= 2.1.0-7, re-add afterwards through update-service,
    and restore ./supervise/ symlinks for other enabled socklog services.
  * debian/socklog-run.postrm: purge: adapt paths in /var/run/; force-stop
    socklog services; remove ./supervise/ subdirectories (or symlinks) in
    service directories.
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/control: package socklog-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/socklog.README.Debian: typo.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Feb 2008 01:58:07 +0000

socklog (2.1.0-7) unstable; urgency=low

  * debian/diff/tryto-n.diff: new; don't report failure if the final try
    of prog succeeds (thx Andras Korn, closes: #401547).
  * debian/rules: apply tryto-n.diff.

 -- Gerrit Pape <pape@smarden.org>  Sat,  9 Dec 2006 10:34:40 +0000

socklog (2.1.0-6) unstable; urgency=medium

  * debian/socklog.postrm: check for deluser being available, if not,
    print warning and don't remove system user (closes: #398539).

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Nov 2006 20:09:56 +0000

socklog (2.1.0-5) unstable; urgency=low

  * debian/socklog.postinst: don't make the log service system user
    log member of group adm, but nogroup; log's home directory is
    /nonexistent (closes: #396687).
  * debian/socklog-run.postinst: make log directories mode 2750, owner
    log:adm.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Nov 2006 20:27:25 +0000

socklog (2.1.0-4) unstable; urgency=low

  * debian/control: socklog-run: no longer Depends: ipsvd, as package
    socklog Recommends: ipsvd, and it's only necessary for optional
    tcp and/or ssl network logging.
  * debian/socklog-run.README.Debian: service directories are in /etc/sv/.
  * debian/control: Standards-Version: 3.7.2.0.
  * debian/implicit: update to revision 1.11.
  * debian/copyright: 2006.

 -- Gerrit Pape <pape@smarden.org>  Sat, 27 May 2006 16:13:14 +0000

socklog (2.1.0-3) unstable; urgency=low

  * debian/socklog-run.postinst: really deal properly with dangling
    symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Fri, 24 Mar 2006 11:25:54 +0000

socklog (2.1.0-2) unstable; urgency=low

  * debian/socklog-run.postinst: properly deal with dangling socklog
    service symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Mar 2006 19:14:41 +0000

socklog (2.1.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: put service directories into /etc/sv/, name them

