=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gerrit Pape <pape@smarden.org>
 Vcs-Browser: https://salsa.debian.org/debian/socklog
 Vcs-Git: https://salsa.debian.org/debian/socklog.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://smarden.org/socklog
 Build-Depends: debhelper-compat (= 13),
                dh-runit,
@@ -37,9 +37,8 @@
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon
-Conflicts: system-log-daemon, linux-kernel-log-daemon, ${runit:Conflicts}
-Breaks: socklog (<= 2.1.0+repack-3), ${runit:Breaks}
-Replaces: socklog (<= 2.1.0+repack-3)
+Conflicts: system-log-daemon, linux-kernel-log-daemon
+Breaks: ${runit:Breaks}
 Description: system and kernel logging services - runit services
  socklog cooperates with the runit package to create a small and
  secure replacement for rsyslog. socklog supports system logging
