=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONF_CC = src/conf-cc
CONF_LD = src/conf-ld

%:
	dh $@ --with runit,sysuser

override_dh_auto_clean:
	rm -rf compile command
	! [ -e "$(CONF_CC).dist" ] || mv -f "$(CONF_CC).dist" "$(CONF_CC)"
	! [ -e "$(CONF_LD).dist" ] || mv -f "$(CONF_LD).dist" "$(CONF_LD)"

override_dh_auto_configure:
	[ -e "$(CONF_CC).dist" ] || mv -f "$(CONF_CC)" "$(CONF_CC).dist"
	[ -e "$(CONF_LD).dist" ] || mv -f "$(CONF_LD)" "$(CONF_LD).dist"
	echo "$(CC) $(CPPFLAGS) $(CFLAGS)" > "$(CONF_CC)"
	echo "$(CC) $(LDFLAGS)" > "$(CONF_LD)"

override_dh_auto_build:
	./package/compile	\
		$(subst terse,>/dev/null,$(filter terse,$(DEB_BUILD_OPTIONS)))

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./package/check
endif

override_dh_installchangelogs:
	dh_installchangelogs package/CHANGES
