=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack$//,oversionmangle=s/$/+repack/" \
http://smarden.org/socklog/install.html \
socklog-(.+)\.tar\.gz debian debian/repack.sh
