## socklog 2.1.1+repack

=== src/Makefile ===
--- 
+++ 
@@ -117,12 +117,6 @@
 byte_zero.o: byte.h byte_zero.c compile
 	./compile byte_zero.c
 
-chkshsgr: chkshsgr.o load
-	./load chkshsgr 
-
-chkshsgr.o: chkshsgr.c compile
-	./compile chkshsgr.c
-
 choose: choose.sh warn-auto.sh
 	rm -f choose
 	cat warn-auto.sh choose.sh \
@@ -179,11 +173,6 @@
 hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
 	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h
 
-hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load \
-tryshsgr.c warn-shsgr
-	./chkshsgr || ( cat warn-shsgr; exit 1 )
-	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h
-
 haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
 	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h
 
@@ -239,9 +228,6 @@
 pathexec_run.c str.h stralloc.h
 	./compile pathexec_run.c
 
-prot.o: compile hasshsgr.h prot.c prot.h
-	./compile prot.c
-
 readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
 stralloc.h
 	./compile readclose.c
@@ -319,7 +305,7 @@
 	./compile subgetopt.c
 
 sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
-hassgprm.h hasshsgr.h haswaitp.h iopause.h load select.h systype \
+hassgprm.h haswaitp.h iopause.h load select.h systype \
 uint64.h
 	rm -f sysdeps
 	cat systype compile load >> sysdeps
@@ -332,7 +318,6 @@
 	grep sysdep iopause.h >> sysdeps
 	grep sysdep hasmkffo.h >> sysdeps
 	grep sysdep hasflock.h >> sysdeps
-	grep sysdep hasshsgr.h >> sysdeps
 	cat sysdeps
 
 systype: find-systype.sh trycpp.c x86cpuid.c
@@ -389,7 +374,7 @@
 error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
 makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
 open_trunc.o open_write.o openreadclose.o pathexec_env.o \
-pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
+pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
 sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
 stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
 stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
@@ -399,7 +384,7 @@
 	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
 	lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
 	open_trunc.o open_write.o openreadclose.o pathexec_env.o \
-	pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
+	pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
 	sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
 	stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
 	stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
