=== debian/changelog ===
socklog (2.1.1+repack-1) unstable; urgency=medium

  * New upstream version 2.1.1+repack
  * d/patches:
     - drop gcc-14 patches, included upstream
     - import upstream patch for gcc-15 (Closes: #1114391)
  * README.Debian: fix incorrect path.
    Thanks to Andrew Bower <andrew@bower.uk>
  * socklog-run: depends on runit-run or runit-init
  * socklog: remove old sysv conffiles

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 07 Oct 2025 18:07:30 +0200

socklog (2.1.0+repack-7) experimental; urgency=medium

  [ Bastian Germann ]
  * Remove Gerrit Pape from Uploaders (inactive)

  [ Lorenzo Puliti ]
  * update copyright years
  * add upstream metadata
  * salsa CI: enable autopkgtest
  * d/control, d/rules: use dh-sequence-runit
  * mark socklog-run as Architecture: all
  * socklog-run: relax dep constrain on socklog

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 21 Jun 2025 07:52:22 +0200

socklog (2.1.0+repack-6) unstable; urgency=medium

  [ Mathieu Mirmont ]
  * control: bump debian policy to 4.7.0, no change required
  * socklog-run.lintian-overrides: not needed anymore
  * patches: mark as not to be forwarded
  * patches: fix build with gcc-14 (Closes: #1075523)

  [ Lorenzo Puliti ]
  * add myself as uploader (see #1075523#27)
  * d/control: update Standards-Version to 4.7.2, no change required
  * d/watch: update upstream url
  * remove unused lintian overrides
  * patches: update patch 0004, fix tryulong64 and trypoll
     prototypes for gcc-14

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 08 Apr 2025 11:43:40 +0200

socklog (2.1.0+repack-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Timo Röhling ]
  * Replace dh-sysusers with dh-sequence-installsysusers.
    (Closes: #1071149)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:08:18 +0200
