=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Mathieu Mirmont <mat@parad0x.org>
-Uploaders: Gerrit Pape <pape@smarden.org>
+Uploaders: Lorenzo Puliti <plorenzo@disroot.org>
 Vcs-Browser: https://salsa.debian.org/debian/socklog
 Vcs-Git: https://salsa.debian.org/debian/socklog.git
-Standards-Version: 4.6.2
-Homepage: http://smarden.org/socklog
+Standards-Version: 4.7.2
+Homepage: https://smarden.org/socklog
 Build-Depends: debhelper-compat (= 13),
-               dh-runit,
-               dh-sysuser,
+               debhelper (>= 13.3),
+               dh-sequence-runit,
+               dh-sequence-installsysusers,
                doc-base
 Rules-Requires-Root: no
 
@@ -31,9 +32,9 @@
  This package contains the socklog binaries and manual pages.
 
 Package: socklog-run
-Architecture: any
+Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: socklog (= ${binary:Version}), runit,
+Depends: socklog (>= 2.1.0+repack-7~), runit-run | runit-init,
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon
