=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CONF_LD = src/conf-ld
 
 %:
-	dh $@ --with runit,sysuser
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf compile command
