=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack$//,oversionmangle=s/$/+repack/" \
https://smarden.org/socklog/install \
socklog-(.+)\.tar\.gz debian debian/repack.sh
