## socklog 2.1.2+repack

=== debian/changelog ===
socklog (2.1.2+repack-1) unstable; urgency=medium

  * New upstream version 2.1.2+repack
  * d/patches: drop patches applied upstream
  * d/copyright: update years
  * socklog-run: add daemontools as alternative to runit-run|runit-init
  * d/control: drop redundant rules-requires-root
  * socklog-run:
     - update description to warn users that services are auto-enabled
       only with runit-init
     - update README.Debian with instructions
     (Closes: #1112379)
  * autopkgtest: run upstream testsuite

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 26 Nov 2025 01:29:52 +0100
