=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                dh-sequence-runit,
                dh-sequence-installsysusers,
                doc-base
-Rules-Requires-Root: no
 
 Package: socklog
 Architecture: any
@@ -30,11 +29,12 @@
  rotate the logs. socklog is small, secure, and reliable.
  .
  This package contains the socklog binaries and manual pages.
+ Service files are shipped separately in the socklog-run package.
 
 Package: socklog-run
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: socklog (>= 2.1.0+repack-7~), runit-run | runit-init,
+Depends: socklog (>= 2.1.0+repack-7~), runit-run | daemontools-run | runit-init,
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon
@@ -52,6 +52,9 @@
  .
  This package includes the configuration files to run socklog under
  runit supervision as system and kernel log daemons. The socklog-unix
- and socklog-klog services are enabled by default. The socklog-inet,
- socklog-notify, and socklog-ucspi-tcp services are examples and
- disabled by default.
+ and socklog-klog services are enabled by default with runit as init.
+ When this package is installed without runit-init (e.g. Sysvinit or systemd)
+ socklog-unix and socklog-klog are disabled by default and can be enabled
+ with update-service(8); see README.Debian for instructions.
+ The socklog-inet, socklog-notify, and socklog-ucspi-tcp services are
+ examples and disabled by default regardless of the init system in use.
