=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 override_dh_auto_build:
 	./package/compile	\
 		$(subst terse,>/dev/null,$(filter terse,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	#needed for autopkgtest: upstream-testsuite
+	sh -cxe 'cd compile; exec make check-socklog-unix'
+	sh -cxe 'cd compile; exec make check-socklog-inet'
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
