=== debian/tests/control ===
Tests: upstream-testsuite
Depends: socklog,
Restrictions: needs-root, build-needed
